﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class APIDemo : MonoBehaviour {

  public float moveSpeed;
  public GameObject bullet;

  // Use this for initialization
  void Start() {

  }

  // Update is called once per frame
  void Update() {
    float axisMovement = Input.GetAxis("Horizontal");
    if (axisMovement != 0) {
      Vector3 newPosition = transform.position;
      newPosition.x += moveSpeed * Time.deltaTime * axisMovement;
      transform.position = newPosition;
    }

    if (Input.GetMouseButtonDown(0)) {
      if (!IsInvoking("fireBullet")) {
        InvokeRepeating("fireBullet", 0f, 0.1f);
      }
    }

    if (Input.GetMouseButtonUp(0)) {
      CancelInvoke("fireBullet");
    }
  }

  private void fireBullet() {
    GameObject projectile = Instantiate(bullet, transform);
    projectile.GetComponent<Rigidbody>().velocity = 20 * transform.up;
  }
}
